re-import sources as agreed with the maintainer
This commit is contained in:
parent
9b8ce41fd2
commit
3f9d64dd1b
34
.gitignore
vendored
34
.gitignore
vendored
@ -1,2 +1,34 @@
|
||||
SOURCES/rpm-4.14.3.tar.bz2
|
||||
/rpm-4.9.90.git11505.tar.bz2
|
||||
/rpm-4.9.90.git11519.tar.bz2
|
||||
/rpm-4.9.90.git11536.tar.bz2
|
||||
/rpm-4.10.0-beta1.tar.bz2
|
||||
/rpm-4.10.0.tar.bz2
|
||||
/rpm-4.10.1.tar.bz2
|
||||
/rpm-4.10.90.git11989.tar.bz2
|
||||
/rpm-4.11.0-beta1.tar.bz2
|
||||
/rpm-4.11.0.1.tar.bz2
|
||||
/rpm-4.11.1-rc1.tar.bz2
|
||||
/rpm-4.11.1-rc2.tar.bz2
|
||||
/rpm-4.11.1.tar.bz2
|
||||
/rpm-4.11.2-rc1.tar.bz2
|
||||
/rpm-4.11.2-rc2.tar.bz2
|
||||
/rpm-4.11.2.tar.bz2
|
||||
/rpm-4.11.90-git12844.tar.bz2
|
||||
/rpm-4.12.0-beta1.tar.bz2
|
||||
/rpm-4.12.0-rc1.tar.bz2
|
||||
/rpm-4.12.0.tar.bz2
|
||||
/rpm-4.12.0.1.tar.bz2
|
||||
/rpm-4.12.90.tar.bz2
|
||||
/rpm-4.13.0-rc1.tar.bz2
|
||||
/rpm-4.13.0-rc2.tar.bz2
|
||||
/rpm-4.13.0.tar.bz2
|
||||
/rpm-4.13.0.1.tar.bz2
|
||||
/rpm-4.13.90-git14002.tar.bz2
|
||||
/rpm-4.14.0-rc1.tar.bz2
|
||||
/rpm-4.14.0-rc2.tar.bz2
|
||||
/rpm-4.14.0.tar.bz2
|
||||
/rpm-4.14.1.tar.bz2
|
||||
/rpm-4.14.2-rc1.tar.bz2
|
||||
/rpm-4.14.2-rc2.tar.bz2
|
||||
/rpm-4.14.2.tar.bz2
|
||||
/rpm-4.14.3.tar.bz2
|
||||
|
34
STAGE2-rpm
Normal file
34
STAGE2-rpm
Normal file
@ -0,0 +1,34 @@
|
||||
#requires popt
|
||||
#requires nss-softokn
|
||||
#requires nss
|
||||
#requires file
|
||||
#requires libarchive
|
||||
#requires libdb4
|
||||
#requires redhat-rpm-config
|
||||
#requires lua
|
||||
#requires autoconf
|
||||
#requires pkgconfig
|
||||
|
||||
|
||||
(cd $SRC/rpm-*/ && autoreconf -vif)
|
||||
|
||||
mcd $BUILDDIR/rpm
|
||||
|
||||
$SRC/rpm-*/configure $TCONFIGARGS \
|
||||
--build=${TARGET} \
|
||||
--host=${TARGET} \
|
||||
--target=${TARGET} \
|
||||
CPPFLAGS="-I/usr/include/nspr -I/usr/include/nss3 -DPACKAGE -DPACKAGE_VERSION" \
|
||||
--libdir=/usr/lib${SUFFIX} \
|
||||
--with-external-db \
|
||||
--disable-static \
|
||||
--with-lua \
|
||||
--localstatedir=/var
|
||||
|
||||
make $J
|
||||
make $J install
|
||||
|
||||
mkdir -p /etc/rpm
|
||||
mkdir -p /var/lib/rpm
|
||||
|
||||
rpm --initdb
|
15
rpm-4.14.1-python-brp-bytecompile.patch
Normal file
15
rpm-4.14.1-python-brp-bytecompile.patch
Normal file
@ -0,0 +1,15 @@
|
||||
diff --git a/scripts/brp-python-bytecompile b/scripts/brp-python-bytecompile
|
||||
index 894fa3459..47776215a 100644
|
||||
--- a/scripts/brp-python-bytecompile
|
||||
+++ b/scripts/brp-python-bytecompile
|
||||
@@ -87,6 +87,10 @@ if [ ! -x "$default_python" ]; then
|
||||
exit 0
|
||||
fi
|
||||
|
||||
+# Figure out if there are files to be bytecompiled with the default_python at all
|
||||
+# this prevents unnecessary default_python invocation
|
||||
+find "$RPM_BUILD_ROOT" -type f -name "*.py" | grep -Ev "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" || exit 0
|
||||
+
|
||||
# Generate normal (.pyc) byte-compiled files.
|
||||
python_bytecompile "" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
|
||||
if [ $? -ne 0 -a 0$errors_terminate -ne 0 ]; then
|
Loading…
Reference in New Issue
Block a user